#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( about )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../interfaces
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )

tde_create_translated_desktop(
  SOURCE Kontact.desktop kontactdcop.desktop
  PO_DIR kontact-desktops
)

install( FILES kontact.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

tde_create_translated_desktop(
  SOURCE kontactconfig.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kontact-desktops
)

tde_create_translated_desktop(
  SOURCE kontact.setdlg
  DESTINATION ${DATA_INSTALL_DIR}/kontact
  PO_DIR kontact-desktops
)

install( FILES kontactui.rc DESTINATION ${DATA_INSTALL_DIR}/kontact )


##### kcm_kontact (module) ######################

tde_add_kpart( kcm_kontact AUTOMOC
  SOURCES kcmkontact.cpp
  LINK kontact-shared tdepim-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kontact (executable) ######################

tde_add_executable( kontact AUTOMOC
  SOURCES
    main.cpp mainwindow.cpp sidepanebase.cpp iconsidepane.cpp
    aboutdialog.cpp profilemanager.cpp profiledialog.cpp
    kontactiface.skel
  LINK kontact-shared kpinterfaces-shared tdeutils-shared tdehtml-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kontact (shared) ##########################

tde_add_library( kontact SHARED
  SOURCES prefs.kcfgc
  VERSION 1.0.0
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
